View Issue Details

IDProjectCategoryLast Update
0021596AI War 2[All Projects] SuggestionMar 7, 2020 7:35 am
ReporterAsteroidAssigned To 
Severityfeature 
Status newResolutionopen 
Product Version0.886 Zombie Homebodies 
Fixed in Version 
Summary0021596: Alternate implementations for eyes
DescriptionI'm not a big fan of Eyes. I feel that having to selectively evacuate units as the battle progresses so you always have lower unit count than the AI is fiddly and just not interesting gameplay. I've tried to provide alternate ways to compute the activation threshold in https://bugtracker.arcengames.com/view.php?id=21589, but I think a redesign is in order, so here are some ideas. (Note that some of them could be used for new units, if replacing eyes is judged too radical a change.)

- base eye activation on the number of guard posts that were awakened (i.e. released their mobile units hidden inside), either a ratio or a fixed number. For example, it activates if more than half the guard posts in the system are awake. Or more than two guard posts are awake. Just like the original mechanic, it forces you to take out guard posts individually and carefully instead of putting everything on FRD. But it doesn't artificially limit how many units you can bring. (Caveat: this would make zombies and minor factions even more annoying because they'd likely wake up eyes without your involvement.)

- eyes activate the same way retaliation waves do. So as you lose a lot of ships because you attacked a high-level world, the eye would eventually activate. Unlike the wave you wouldn't be able to stall it. It could either activate before the retaliation wave notification (lower threshold), as a kind of early response, or after, as an ultimate response that makes it even more difficult to stall the wave.

- eyes activate in a similar way as the retaliation waves, but based on how many ships the AI lost instead of how many you lost.

- eyes activate based on conditions in its own system and the neighbouring stars, for instance if X neighbouring wargates (including its own) have been destroyed, or X guard posts have been destroyed. This complicates the player's life in an interesting way when he wants to neuter neighbouring systems.

- When AIP reaches a certain threshold, all eyes open. (I really like this one! It's simple, provides another significant and scary AIP milestone, and its symbolic value is strong.)
TagsNo tags attached.

Activities

BadgerBadger

Oct 29, 2019 12:32 am

manager   ~0054092

I've added another eye form (eyes that check for how many fleets the player has, not how many units total). I do kinda like some of these, especially the eye that awakes at a certain AIP point, so lets leave this ticket open.

Strategic Sage

Feb 22, 2020 6:34 pm

reporter   ~0056072

There was a discussion on discord yesterday about the current state of Eyes, and basically what was concluded is that there are at least a few others that don't think the current state of them is optimal. To me, the issue is this; not all fleets are created equal. Eyes should activate based on how threatening the attack is, not arbitrary fleet count. Personally I'd prefer a strength limitation based on some proportion of the peak reinforcement maximum of a system (so that it doesn't go down as you take out GPs and therefore require to retreat, punishing you for success). I.e., if the system had a completely made-up reinforcement max of 200 strength, than anything larger than 100 (or whatever) strength attacking should trigger the Eye.

Maxed-out Golems can horrifically abuse the current system as just one example. So can cramming all your best, extended ships into one fleet. Sending empty transports to game the system and activate it against other factions is also possible and very inexpensive. These are some of the reasons why I believe a change is needed.

Strategic Sage

Feb 22, 2020 6:34 pm

reporter   ~0056073

Also, I like the idea of an AIP threshold where they all activate as well. I really like it.

Fluffiest

Feb 23, 2020 6:39 am

reporter   ~0056074

Isn't "gaming the system" kind of the whole point of AI War? Eyes triggering on thresholds that you can work around seems exactly right to me.

Strategic Sage

Feb 24, 2020 5:49 am

reporter   ~0056076

I guess it depends on what you call gaming the system. I think there's a big difference between that and good strategy. I'm not arguing against having a threshold; I'm arguing in favor of improving what that threshold is. I don't see how it's good strategy and/or gameplay to have it be possible to trigger the eye with empty transports that are no threat to anyone, or to have an anti-fleetball mechanic not trigger on a powerful superweapon just because it manages to cram more combat power into less fleets than would otherwhise be possible. I think that's totally different than elements such as using the right ships to counter an enemy, maneuvering around enemy GPs, making pro-con analyses about what systems to take and what ones not to - those I would be in strategy instead of the 'gaming the system' camp.

GreatYng

Feb 24, 2020 5:42 pm

reporter   ~0056082

I agree that eyes need to be changed. I questioned the activation criterion as it currently stands when I first got the game at launch, because I figured you would theoretically be able to use 2 very powerful fleets and the eye won't activate but I figured I'd roll with it and see what happens before I mention anything. Having played a few campaigns I can say I always use this very strategy to render them completely useless, because despite the fact that these two fleets are a massive threat the eyes won't activate. Conversely, the AI War 1 approach forces you to retreat forces as you're winning (like you said), so I do like the idea of activating eyes based a more fixed threat number. No longer relying on the number of fleets means the eyes can be triggered by other factions as well.

Strategic Sage

Mar 7, 2020 3:01 am

reporter   ~0056378

Yet another reason that occurred to me today - circumventing the Eye restriction is trivial with sufficient Outguard.

ArnaudB

Mar 7, 2020 7:35 am

reporter   ~0056381

I also find the current system annoying if you hack an Orbital cannon in a difficult to take planet. It is a nasty surprise that even a Orbital Cannon reduced to remain counts as a fleet, so you have to delete the cannon (and take the loss of hacking points) if you do that.

I'd like an alternate for large-scale games with three times the stuff (fleet, ARS, GCA...) or more. Currently the presence of eyes makes it difficult because you have to keep your first fleet powerful and limited to two flagships, due to eyes being around a lot (especially on diff Nine with three AIs). Mods like Galatic War also suffer quite a bit there since while you can have a lot of stuff, you have to deal with all the eyes.

Playing with Spire Fleet is also odd. Ion Eyes are completely useless versus Spire ships. On the Opposite spectrum, plasma eye can get really nasty. Either way you have to kill all the guards posts (because you cannot sabotage an active eye) and that can get awkward when running into stealthed guard posts.

Issue History

Date Modified Username Field Change
Sep 7, 2019 3:04 pm Asteroid New Issue
Oct 29, 2019 12:32 am BadgerBadger Note Added: 0054092
Feb 22, 2020 6:34 pm Strategic Sage Note Added: 0056072
Feb 22, 2020 6:34 pm Strategic Sage Note Added: 0056073
Feb 23, 2020 6:39 am Fluffiest Note Added: 0056074
Feb 24, 2020 5:49 am Strategic Sage Note Added: 0056076
Feb 24, 2020 5:42 pm GreatYng Note Added: 0056082
Mar 7, 2020 3:01 am Strategic Sage Note Added: 0056378
Mar 7, 2020 7:35 am ArnaudB Note Added: 0056381